/*!
 * Enterprise Web Components v1.14.0 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import {
  stringToBool
} from "./ids-chunk-LYZECZGB-full.js";
import {
  attributes
} from "./ids-chunk-ADUJXLZD-full.js";

// src/mixins/ids-label-state-mixin/ids-label-state-common.ts
var IdsLabelStateAttributes = [
  attributes.LABEL,
  attributes.LABEL_REQUIRED,
  attributes.LABEL_STATE
];
var isLabelStateValid = (value) => value === null || ["hidden", "collapsed"].includes(value);
var isLabelRequiredValid = (value) => {
  const isValid = typeof value !== "undefined" && value !== null;
  return isValid ? stringToBool(value) : true;
};

export {
  IdsLabelStateAttributes,
  isLabelStateValid,
  isLabelRequiredValid
};
//# sourceMappingURL=ids-chunk-Q5XWBWHL-full.js.map
