/*!
 * Enterprise Web Components v1.14.0 (chunk/code split version all components)
 * Copyright (c) 2025 Infor
 */
import "../../chunks/ids-chunk-BU2HGKCT-full.js";
import "../../chunks/ids-chunk-6Y45OKVW-full.js";
import "../../chunks/ids-chunk-PUAIC6VJ-full.js";
import "../../chunks/ids-chunk-GGA5ODNA-full.js";
import "../../chunks/ids-chunk-KKLEBPCY-full.js";
import "../../chunks/ids-chunk-76AUAIDZ-full.js";
import "../../chunks/ids-chunk-JWDFUHFA-full.js";
import "../../chunks/ids-chunk-CIO3TV65-full.js";
import "../../chunks/ids-chunk-VKLWUGK2-full.js";
import "../../chunks/ids-chunk-2RACMRIJ-full.js";
import "../../chunks/ids-chunk-OPGHXDMI-full.js";
import "../../chunks/ids-chunk-S4WUHM3I-full.js";
import "../../chunks/ids-chunk-ZD5SXTXF-full.js";
import "../../chunks/ids-chunk-KBEOSNJP-full.js";
import "../../chunks/ids-chunk-25OTMPE7-full.js";
import "../../chunks/ids-chunk-33PPIS7P-full.js";
import "../../chunks/ids-chunk-JVLJN35D-full.js";
import "../../chunks/ids-chunk-GEQQ7DTW-full.js";
import "../../chunks/ids-chunk-QIVE3A6M-full.js";
import "../../chunks/ids-chunk-RM46LZSN-full.js";
import "../../chunks/ids-chunk-FKNEEBQC-full.js";
import "../../chunks/ids-chunk-H24FGBKA-full.js";
import "../../chunks/ids-chunk-2KTM4RLR-full.js";
import "../../chunks/ids-chunk-35KOZKTC-full.js";
import "../../chunks/ids-chunk-LUYL72AC-full.js";
import "../../chunks/ids-chunk-JKKE7OVN-full.js";
import "../../chunks/ids-chunk-PE6DIX3L-full.js";
import "../../chunks/ids-chunk-PYMRHMBN-full.js";
import "../../chunks/ids-chunk-Q2ZVAQUP-full.js";
import "../../chunks/ids-chunk-4XK3ZUAT-full.js";
import "../../chunks/ids-chunk-PLH7B3XA-full.js";
import "../../chunks/ids-chunk-LSY7J2IZ-full.js";
import "../../chunks/ids-chunk-QVMIST2P-full.js";
import "../../chunks/ids-chunk-NEHRHSKN-full.js";
import "../../chunks/ids-chunk-CZXLBNLY-full.js";
import "../../chunks/ids-chunk-2SJEW4YO-full.js";
import "../../chunks/ids-chunk-RHJVGEYA-full.js";
import "../../chunks/ids-chunk-ROQHHLF5-full.js";
import "../../chunks/ids-chunk-LYZECZGB-full.js";
import "../../chunks/ids-chunk-ADUJXLZD-full.js";
import "../../chunks/ids-chunk-5U5IBEEI-full.js";

// src/components/ids-notification-banner/ids-notification-banner-service.ts
var IdsNotificationBannerService = class {
  /* Show a notification Banner */
  static show(settings) {
    const notificationBanner = document.createElement("ids-notification-banner");
    notificationBanner.add(settings);
  }
  static get openNotificationBanners() {
    return Array.from(document.querySelectorAll("ids-notification-banner"));
  }
  /* Close All notification Banner */
  static dismissAll() {
    this.openNotificationBanners.forEach((el) => {
      el.dismiss();
    });
  }
  /* Close Last (oldest) notification Banner */
  static dismissOldest() {
    const last = this.openNotificationBanners.length - 1;
    if (last >= 0) this.openNotificationBanners[this.openNotificationBanners.length - 1]?.dismiss();
  }
  /* Close Newst recent notification Banner */
  static dismissNewest() {
    if (this.openNotificationBanners.length > 0) this.openNotificationBanners[0].dismiss();
  }
  /* Display number of open notification banners */
  static get count() {
    return document.querySelectorAll("ids-notification-banner").length || 0;
  }
};
export {
  IdsNotificationBannerService as default
};
//# sourceMappingURL=ids-notification-banner-service.js.map
